//
//  IsingControllerToolbar.h
//  IsingCocoa
//
//  Created by Cameron Hayne on Thu Nov 06 2003.
//  Copyright Hayne of Tintagel 2005
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#import "IsingWindowCtl.h"

@interface IsingWindowCtl (IsingToolbar)

- (void)setupToolbar;
- (void) setupPauseToolbarItem:(NSToolbarItem *)item forState:(BOOL)updateIsActive;
- (void) setupFieldToolbarItem:(NSToolbarItem *)item forState:(BOOL)fieldIsPresent;
- (void)setupToolbarItem:(NSToolbarItem *)item;
- (NSToolbarItem *)toolbar:(NSToolbar *)toolbar
     itemForItemIdentifier:(NSString *)itemIdentifier
 willBeInsertedIntoToolbar:(BOOL)flag;
- (void)toolbarWillAddItem:(NSNotification *)notification;
- (NSArray *)toolbarAllowedItemIdentifiers:(NSToolbar*)toolbar;
- (NSArray *)toolbarDefaultItemIdentifiers:(NSToolbar*)toolbar;
- (BOOL)validateToolbarItem:(NSToolbarItem *)theItem;
- (void)updateToolbarItems;

@end

